# Stack Settings

> Source: https://developers.cloud66.com/v3/endpoints/stack-settings/

## Get Stack Setting

URL: https://developers.cloud66.com/v3/endpoints/stack-settings/#get
Endpoint: GET /stacks/:stack_id/settings/:id
OAuth scope: public

Get information of a single setting item.

**Related models:** Stack Setting

### Parameters

- `stack_id` (string, required) — The stack UID
- `id` (string, required) — The setting item ID

### Response

```json
{
  "response": {
    "key": "git.branch",
    "value": "master"
  }
}
```

---

## List Stack Settings

URL: https://developers.cloud66.com/v3/endpoints/stack-settings/#list
Endpoint: GET /stacks/:stack_id/settings
OAuth scope: admin

Get list of all settings for a stack.

**Related models:** Stack Setting, Pagination

### Parameters

- `stack_id` (string, required) — The stack UID

### Response

```json
{
  "response": [
    {
      "id": 1,
      "key": "stack.timezone",
      "value": "UTC",
      "readonly": false,
      "created_at": "2014-08-29T17:21:25Z",
      "updated_at": "2014-08-29T17:21:25Z"
    }
  ],
  "count": 1,
  "pagination": {
    "previous": null,
    "next": null,
    "current": 1,
    "per_page": 30,
    "count": 1,
    "pages": 1
  }
}
```

---

## Update Stack Setting

URL: https://developers.cloud66.com/v3/endpoints/stack-settings/#update
Endpoint: PUT /stacks/:stack_id/settings/:id
OAuth scope: admin

Update value of a setting item.

**Related models:** Stack Setting

### Parameters

- `stack_id` (string, required) — The stack UID
- `id` (integer, required) — The setting item ID
- `value` (string, required) — The setting item new value

### Response

```json
{
  "response": {
    "id": 7,
    "user": "test@cloud66.com",
    "resource_type": "stack",
    "action": "stack-set: git.branch",
    "resource_id": "280",
    "started_via": "api",
    "started_at": "2014-09-01T12:47:24Z",
    "finished_at": null,
    "finished_success": null,
    "finished_message": null
  }
}
```
